Subject: Re: [PATCH] Makefile: implement help target

From: Michael J Gruber <[email-masked]>
Date: Tue, 28 Sep 2010 17:47:48 +0200

Junio C Hamano venit, vidit, dixit 28.09.2010 17:33:
> Michael J Gruber <[email-masked]> writes:
> 
>> How's this for a version without maintenance issues?
> 
> Something along these lines would be closer to what I had in mind,
> actually.
> 
> Traditionally a multi-line sed command embed in Makefile has been
> portability nightmare, which is a bit worrysome.

Yes, but I thought for "make help" it's not such problem if it works on
most platforms only - others can read inline ;)

If portability is an issue one can work around it - is "grep -A 1"
portable? I'd also have to get rid of sort --key=2.

> Isn't there a "makedoc" ala "perldoc" or "javadoc", by the way?

There is a "makedoc" but that's something different...

Michael